#include <bits/stdc++.h>

using namespace std;

long long a[100007];
long long j,lastj,lastn,n,m;

int main() {
    cin>>n;
    for(int i=1; i<=n;i++)cin>>a[i];

    j=0; lastj=0; lastn=a[n];

    for(int i=n; i>=1; i--){

        if(lastn==a[i]){
            if(a[i]-lastj <=1)break;
            else {
                m+=a[i]-lastj;
                j++;
            }
        }
        else {
            lastj=j;
            if(a[i]-j <=1) continue;
            else m+=a[i]-j;
        }
        }
        cout<<m;
    return 0;
}
